Get user information

Retrieve user information about a specific user account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the user belongs.
userIdstringRequired
The user's ID.

Response

OK
avatarUrlstring
The URL for the user's profile image.
createdAtdatetime

The time when the user was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

fullNamestring
The user's full name.
idstring
The user's ID.
statusenum
The user's status.
updatedAtdatetime

The time when the user was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

usernamestring
The user's username.
dagRoleslist of objects
The user's DAG roles.
deploymentRoleslist of objects
The user's Deployment roles.
organizationRoleenum
The user's Organization role.
workspaceRoleslist of objects
The user's Workspace roles.

Errors

400
Get User Request Bad Request Error
401
Get User Request Unauthorized Error
403
Get User Request Forbidden Error
404
Get User Request Not Found Error
500
Get User Request Internal Server Error